---
lang: en
title: 'API docs: context.bindingevent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingevent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingEvent](./context.bindingevent.md)

## BindingEvent type

Information for a binding event

**Signature:**

```typescript
export type BindingEvent = {
    type: 'changed' | string;
    binding: Readonly<Binding<unknown>>;
    operation: 'tag' | 'scope' | 'value' | string;
};
```
**References:** [Binding](./context.binding.md)


